#ifndef STRINGINTMAP_H
#define STRINGINTMAP_H

#include <stdbool.h>

typedef struct StringIntMap {
    int capacity;
    int entries;
    const char** stringData;
    int* intData;
} StringIntMap;

void simInit(StringIntMap* sim);
void simDelete(StringIntMap* sim);
bool simSearch(StringIntMap* sim, const char* s, int* mapping);
bool simAdd(StringIntMap* sim, const char* s, int* mapping);

#endif